Bug 384251 - Add missing library dependancy for libmusicbrainz (libdiscid)
Add missing library dependancy for libmusicbrainz (libdiscid)
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: libmusicbrainz3 (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
Depends On: libdiscid
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-15 04:54 EST by Alex Lancaster
Modified: 2008-11-26 21:43 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-26 21:43:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Alex Lancaster 2007-11-15 04:54:23 EST
Description of problem:
As outlined on bug #248308 in the case of python-musicbrainz2, libmusicbrainz is
missing a dependency on libdiscid.  

libdiscid is currently pending review (bug  #384191), once approved and
available, this should be a matter of rebuilding libmusicbrainz with
"BuildRequires: libdiscid-devel".

Incidentally libmusicbrainz should be updated to 2.1.5 on F-7 from 2.1.4, to
match the versions on F-8 and devel.
Comment 1 Rex Dieter 2008-02-18 10:03:51 EST
rawhide updated.
* Mon Feb 18 2008 Rex Dieter <rdieter@fedoraproject.org> - 2.1.5-4
- BR: libdiscid-devel (#384251)

I'll look into syncing updates for for F-7, F-8 too.
Comment 2 Rex Dieter 2008-02-18 10:47:57 EST
Looking closer, I can't find any use of libdiscid here in libmusicbrainz.  So, 
I'm a little confused.  Can you clarify?
Comment 3 Alex Lancaster 2008-02-19 00:22:48 EST
Ah, you're right that libmusicbrainz 2.x doesn't require libdiscid  but the new
3.x release for libmusicbrainz (which isn't API compatible with 2.x) *does* need
libdiscid (see end of comment):

http://musicbrainz.org/doc/libmusicbrainzDownload

Perhaps time to ship the new one and create a libmusicbrainz2 compat package for
apps that can't use the new libmusicbrainz?

from INSTALL.txt in
http://musicbrainz.org/ftpmirror/pub/musicbrainz/libmusicbrainz-3.0.1.tar.gz

================================================
 Installation of the MusicBrainz Client Library
================================================

The instructions in this file should help you to build and install the
MusicBrainz client library from source on your system.

Dependencies
============

Before you start, make sure you have installed following libraries:

 * Neon -- HTTP client library
   http://www.webdav.org/neon/

 * libdiscid -- library for calculating MusicBrainz discids
   http://musicbrainz.org/doc/libdiscid
    
 * (optional) CppUnit -- C++ unit testing framework
   http://cppunit.sourceforge.net/cppunit-wiki



Comment 4 Bug Zapper 2008-05-13 23:54:17 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bastien Nocera 2008-09-01 11:02:36 EDT
(In reply to comment #3)
> Ah, you're right that libmusicbrainz 2.x doesn't require libdiscid  but the new
> 3.x release for libmusicbrainz (which isn't API compatible with 2.x) *does* need
> libdiscid (see end of comment):

I'd rather you created a separate libmusicbrainz3 package.
Comment 6 Alex Lancaster 2008-11-26 21:43:38 EST
(In reply to comment #5)

> I'd rather you created a separate libmusicbrainz3 package.

OK, it appears that just such a package has been created now:

https://admin.fedoraproject.org/pkgdb/packages/name/libmusicbrainz3

and it "BuildRequires: libdiscid", so closing this bug under the new component.

Note You need to log in before you can comment on or make changes to this bug.